Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000970 [DCSS] Bug Report minor always 2010-02-28 09:46 2014-08-03 21:36
Reporter OG17 View Status public  
Assigned To doy
Priority normal Resolution done  
Status resolved   Product Branch 0.6 ancient branch
Summary 0000970: Unable to displace aquatic allies when on land
Description This was done with zombies, but I imagine it's the same for everything. Swapping places with companions works fine in most situations, but as fish refuse to leave the water, they can become a bit of a barricade - they naturally try to move next to you, so if you're on land, they're guaranteed to get in the way and spit out "Your (monster) resists" messages. This is not the end of the world, as they can be shuffled away from shore by yelling at them to "wait," but it's certainly not ideal - could the displacement behavior be made a little more sophisticated? Perhaps if the creature can't switch places with you, it could check if it's able to move to another free square to get out of your way? And if there's another friendly creature in its way, that creature could attempt to move to a free square (instead of simply swapping places with the original creature), and so on down the line? It would be best if this wall of fish quietly shifted aside to open a gap when the player tries to enter the water - it's somewhat jarring that they instead become a solid obstacle.

Oddly, a single fish will have no problem moving aside for you, except when it decides not to - I've added an image of some positions this happens in, though I doubt it's news. When you have several fish, I imagine they all get in each other's way sufficiently to prevent entry entirely.

I was asked in IRC if I was trying to trade places with a nonaquatic companion while levitating over deep water, which is the same problem in reverse, only with the potential for really annoying drowning deaths. I think I've also heard about players being boxed in by nonaquatic allies while on land, though I don't remember any details of that.
Additional Information
Tags No tags attached.
Attached Files png file icon fishblock.png [^] (2,223 bytes) 2010-02-28 09:46


png file icon thisone.png [^] (949 bytes) 2010-04-02 16:40

- Relationships
has duplicate 0001508closed Possible bug with Beogh's "walk on water" ability 
related to 0007994new Beogh worshippers can get stuck behind their followers when walking on deep water. 

-  Notes
(0003838)
OG17 (reporter)
2010-04-02 16:40
edited on: 2010-04-02 16:42

Bumping to add that having land-based allies turn into walls when water's involved makes the elf 7 moat vault (thisone.png) into a flat-out deathtrap - allies can block both your retreat and, on the elves' side, your advance past the moat. The right path was luckily clear, and I worked around the problem by having the allies wait nearby, but the initial surprise could've gone very badly. There's no doubt other vaults where this is an issue.

This is a .6 game, so apologies if it's been addressed since.

(0026929)
doy (developer)
2014-08-03 21:36

This appears to have been fixed. It's still possible to not be able to displace an ally, but only if that ally has no valid neighboring tiles to be displaced into, which I imagine is fairly rare in actual gameplay (and more of a "well don't do that then" kind of thing, really).

- Issue History
Date Modified Username Field Change
2010-02-28 09:46 OG17 New Issue
2010-02-28 09:46 OG17 File Added: fishblock.png
2010-04-02 16:40 OG17 Note Added: 0003838
2010-04-02 16:40 OG17 File Added: thisone.png
2010-04-02 16:42 OG17 Note Edited: 0003838
2010-05-07 04:19 dolorous Relationship added has duplicate 0001508
2010-07-05 13:43 greensnark Status new => acknowledged
2014-01-17 02:53 neil Relationship added related to 0007994
2014-08-03 21:36 doy Note Added: 0026929
2014-08-03 21:36 doy Status acknowledged => resolved
2014-08-03 21:36 doy Fixed in Branch => 0.15 development branch
2014-08-03 21:36 doy Resolution open => done
2014-08-03 21:36 doy Assigned To => doy


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker